{{ $appSection := "cron" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ .Values.cron.name }}-config
  labels:
    {{- include "golemio.labels" (list . $appSection) | nindent 4 }}
data:
  cron-tasks: |- {{ .Values.configurationFiles.cronTasks | nindent 4 }}
{{ end }}
